Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.encryption
Class PDEncryptionManager

    java.lang.Object
      org.pdfbox.pdmodel.encryption.PDEncryptionManager

Deprecated. Made deprecated by the new security layer of PDFBox. Use SecurityHandlers instead.

public class PDEncryptionManager
extends Object

This class will handle loading of the different security handlers. See PDF Reference 1.4 section "3.5 Encryption"

Version:
  $Revision: 1.7 $
Author:
  Ben Litchfield

Method Summary
`static PDEncryptionDictionary` | `getEncryptionDictionary(COSDictionary dictionary)` Deprecated. This will get the correct security handler for the encryption dictionary.
`static void` | `registerSecurityHandler(String filterName, Class handlerClass)` Deprecated. This will allow the user to register new security handlers when unencrypting a document.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### registerSecurityHandler

    public static void registerSecurityHandler(String filterName,
                                               Class handlerClass)

  Deprecated.
  This will allow the user to register new security handlers when unencrypting a document.

  Parameters:
    `filterName` - As described in the encryption dictionary.
    `handlerClass` - A subclass of PDEncryptionDictionary that has a constructor that takes a COSDictionary.

### getEncryptionDictionary

    public static PDEncryptionDictionary getEncryptionDictionary(COSDictionary dictionary)
                                                          throws IOException

  Deprecated.
  This will get the correct security handler for the encryption dictionary.

  Parameters:
    `dictionary` - The encryption dictionary.
  Returns:
    An implementation of PDEncryptionDictionary(PDStandardEncryption for most cases).
  Throws:
    `IOException` - If a security handler could not be found.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD